VM

List

get

Retrieve a list of VM information.

Query parameters
SiteIdinteger · int32Optional

Site ID for which to retrieve VM information (optional)

Responses
chevron-right
200

Success

application/json; api-version=1.0

Virtual Machine

siteIdinteger · int32Optional

Site ID

namestring · nullableOptional

Name of the VM

idstring · nullableOptional

ID of the VM

providerIdinteger · int32Optional

Provider ID

userstring · nullableOptional

VM User

serverstring · nullableOptional

FQDN or IP address of the RAS Server

statestring · enumOptional

VM State

Possible values:
nativePoolIdstring · nullableOptional

ID of Native Pool

isHostbooleanOptional

Whether the VM is host or not

isTemplatebooleanOptional

Whether the VM is template or not

ipstring · nullableOptional

IP of the VM

get
/api/Provider/VM

List Provider VMs

get

Retrieve a list of VM information of a specific Provider by ID.

Path parameters
providerIdinteger · int32Required

Provider ID

Responses
chevron-right
200

Success

application/json; api-version=1.0

Virtual Machine

siteIdinteger · int32Optional

Site ID

namestring · nullableOptional

Name of the VM

idstring · nullableOptional

ID of the VM

providerIdinteger · int32Optional

Provider ID

userstring · nullableOptional

VM User

serverstring · nullableOptional

FQDN or IP address of the RAS Server

statestring · enumOptional

VM State

Possible values:
nativePoolIdstring · nullableOptional

ID of Native Pool

isHostbooleanOptional

Whether the VM is host or not

isTemplatebooleanOptional

Whether the VM is template or not

ipstring · nullableOptional

IP of the VM

get
/api/Provider/{providerId}/VM

Get

get

Retrieve a specific VM by ID from a specific Provider by ID.

Path parameters
providerIdinteger · int32Required

Provider ID

idstringRequired

VM ID

Responses
chevron-right
200

Success

application/json; api-version=1.0

Virtual Machine

siteIdinteger · int32Optional

Site ID

namestring · nullableOptional

Name of the VM

idstring · nullableOptional

ID of the VM

providerIdinteger · int32Optional

Provider ID

userstring · nullableOptional

VM User

serverstring · nullableOptional

FQDN or IP address of the RAS Server

statestring · enumOptional

VM State

Possible values:
nativePoolIdstring · nullableOptional

ID of Native Pool

isHostbooleanOptional

Whether the VM is host or not

isTemplatebooleanOptional

Whether the VM is template or not

ipstring · nullableOptional

IP of the VM

get
/api/Provider/{providerId}/VM/{id}